Loading...
Searching...
No Matches
gr::xoroshiro128p_prng Class Reference

wrapper for XOROSHIRO128+ PRNG for use in std::distributions Fulfills C++ named requirements for UniformRandomBitGenerator More...

`#include <gnuradio/random.h>`

## Public Types

using | result_type = uint64_t

## Public Member Functions

| xoroshiro128p_prng (uint64_t init)
| constructor. Expects a seed.
result_type | operator() ()
| yield a random value and advance state
void | seed (uint64_t seed)
| set new seed

## Static Public Member Functions

static constexpr result_type | min ()
| minimum value
static constexpr result_type | max ()
| maximum value

## Detailed Description

wrapper for XOROSHIRO128+ PRNG for use in std::distributions Fulfills C++ named requirements for UniformRandomBitGenerator

## Member Typedef Documentation

## result_type

using gr::xoroshiro128p_prng::result_type = uint64_t

## Constructor & Destructor Documentation

## xoroshiro128p_prng()

gr::xoroshiro128p_prng::xoroshiro128p_prng | ( | uint64_t | init | ) |

inline

constructor. Expects a seed.

References seed().

## Member Function Documentation

## max()

constexpr result_type gr::xoroshiro128p_prng::max | ( |  | ) |

inline static constexpr

maximum value

## min()

constexpr result_type gr::xoroshiro128p_prng::min | ( |  | ) |

inline static constexpr

minimum value

## operator()()

result_type gr::xoroshiro128p_prng::operator() | ( |  | ) |

inline

yield a random value and advance state

References xoroshiro128p_next().

## seed()

void gr::xoroshiro128p_prng::seed | ( | uint64_t | seed | ) |

inline

set new seed

References seed(), and xoroshiro128p_seed().

Referenced by seed(), and xoroshiro128p_prng().

The documentation for this class was generated from the following file:

- random.h